## Class Swift_ByteStream_AbstractFilterableInputStream

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/ByteStream/AbstractFilterableInputStream.php

##### Provides the base functionality for an InputStream supporting filters.

- author: - Chris Corbyn
- abstract: -

Classes extended from Swift_ByteStream_AbstractFilterableInputStream:

Swift_ByteStream_FileByteStream
  Allows reading and writing of bytes to and from a file.

Swift_Transport_StreamBuffer
  A generic IoBuffer implementation supporting remote sockets and local processes.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void addFilter (Swift_StreamFilter $filter, string $key)
void bind (Swift_InputByteStream $is)
void commit ()
void flushBuffers ()
void removeFilter (string $key)
void unbind (Swift_InputByteStream $is)
void write (string $bytes)
void _commit (string $bytes)
void _flush ()

#### Method addFilter (line 55)

#### void addFilter( Swift_StreamFilter $filter, string $key)

Implementation of:

Swift_Filterable::addFilter()
  Add a new StreamFilter, referenced by $key.

##### Add a StreamFilter to this InputByteStream.

#### Parameters

- Swift_StreamFilter $filter:
- string $key:

#### Info

- access - public

#### Method bind (line 106)

#### void bind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::bind()
  Attach $is to this stream.

##### Attach $is to this stream.

The stream acts as an observer, receiving all data that is written. All write() and flushBuffers() operations will be mirrored.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method commit (line 94)

#### void commit( )

Implementation of:

Swift_InputByteStream::commit()
  For any bytes that are currently buffered inside the stream, force them off the buffer.

##### For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Info

- throws - Swift_IoException
- access - public

#### Method flushBuffers (line 139)

#### void flushBuffers( )

Implementation of:

Swift_InputByteStream::flushBuffers()
  Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

##### Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Info

- throws - Swift_IoException
- access - public

#### Method removeFilter (line 64)

#### void removeFilter( string $key)

Implementation of:

Swift_Filterable::removeFilter()
  Remove an existing filter using $key.

##### Remove an already present StreamFilter based on its $key.

#### Parameters

- string $key:

#### Info

- access - public

#### Method unbind (line 119)

#### void unbind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::unbind()
  Remove an already bound stream.

##### Remove an already bound stream.

If $is is not bound, no errors will be raised. If the stream currently has any buffered data it will be written to $is before unbinding occurs.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method write (line 74)

#### void write( string $bytes)

Implementation of:

Swift_InputByteStream::write()
  Writes $bytes to the end of the stream.

##### Writes $bytes to the end of the stream.

#### Parameters

- string $bytes:

#### Info

- throws - Swift_IoException
- access - public

#### Method _commit (line 42)

#### void _commit( string $bytes)

Overridden in child classes as:

Swift_ByteStream_FileByteStream::_commit()
  Just write the bytes to the file

Swift_Transport_StreamBuffer::_commit()
  Write this bytes to the stream

##### Commit the given bytes to the storage medium immediately.

#### Parameters

- string $bytes:

#### Info

- abstract -
- access - protected

#### Method _flush (line 48)

#### void _flush( )

Overridden in child classes as:

Swift_ByteStream_FileByteStream::_flush()
  Not used

Swift_Transport_StreamBuffer::_flush()
  Flush the stream contents

##### Flush any buffers/content with immediate effect.

#### Info

- abstract -
- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:09 +0000 by phpDocumentor 1.4.3